# Class SignedOffer

#### Hierarchy

- unknown
  - SignedOffer

- Defined in src/protobuf/pb_pb.d.ts:5903
- Defined in src/protobuf/pb_pb.d.ts:5946

#####
Index

### Constructors

constructor

### Methods

addReserveTxKeyImages
clearReserveTxKeyImagesList
getArbitratorSignature
getArbitratorSignature_asB64
getArbitratorSignature_asU8
getOfferId
getPenaltyAmount
getReserveTxHash
getReserveTxHex
getReserveTxKeyImagesList
getReserveTxMinerFee
getTimeStamp
getTradeAmount
getTraderId
serializeBinary
setArbitratorSignature
setOfferId
setPenaltyAmount
setReserveTxHash
setReserveTxHex
setReserveTxKeyImagesList
setReserveTxMinerFee
setTimeStamp
setTradeAmount
setTraderId
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new SignedOffer(): SignedOffer

- #### Returns SignedOffer

  Inherited from jspb.Message.constructor

## Methods

### addReserveTxKeyImages

- addReserveTxKeyImages(value: string, index?: number): SignedOffer

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns SignedOffer

  - Defined in src/protobuf/pb_pb.d.ts:5928

### clearReserveTxKeyImagesList

- clearReserveTxKeyImagesList(): SignedOffer

- #### Returns SignedOffer

  - Defined in src/protobuf/pb_pb.d.ts:5927

### getArbitratorSignature

- getArbitratorSignature(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5933

### getArbitratorSignature_asB64

- getArbitratorSignature_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5935

### getArbitratorSignature_asU8

- getArbitratorSignature_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5934

### getOfferId

- getOfferId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5910

### getPenaltyAmount

- getPenaltyAmount(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:5916

### getReserveTxHash

- getReserveTxHash(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5919

### getReserveTxHex

- getReserveTxHex(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5922

### getReserveTxKeyImagesList

- getReserveTxKeyImagesList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:5925

### getReserveTxMinerFee

- getReserveTxMinerFee(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:5930

### getTimeStamp

- getTimeStamp(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:5904

### getTradeAmount

- getTradeAmount(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:5913

### getTraderId

- getTraderId(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:5907

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5938

### setArbitratorSignature

- setArbitratorSignature(value: string | Uint8Array): SignedOffer

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns SignedOffer

  - Defined in src/protobuf/pb_pb.d.ts:5936

### setOfferId

- setOfferId(value: string): SignedOffer

- #### Parameters

  - ##### value: string

  #### Returns SignedOffer

  - Defined in src/protobuf/pb_pb.d.ts:5911

### setPenaltyAmount

- setPenaltyAmount(value: number): SignedOffer

- #### Parameters

  - ##### value: number

  #### Returns SignedOffer

  - Defined in src/protobuf/pb_pb.d.ts:5917

### setReserveTxHash

- setReserveTxHash(value: string): SignedOffer

- #### Parameters

  - ##### value: string

  #### Returns SignedOffer

  - Defined in src/protobuf/pb_pb.d.ts:5920

### setReserveTxHex

- setReserveTxHex(value: string): SignedOffer

- #### Parameters

  - ##### value: string

  #### Returns SignedOffer

  - Defined in src/protobuf/pb_pb.d.ts:5923

### setReserveTxKeyImagesList

- setReserveTxKeyImagesList(value: string[]): SignedOffer

- #### Parameters

  - ##### value: string[]

  #### Returns SignedOffer

  - Defined in src/protobuf/pb_pb.d.ts:5926

### setReserveTxMinerFee

- setReserveTxMinerFee(value: number): SignedOffer

- #### Parameters

  - ##### value: number

  #### Returns SignedOffer

  - Defined in src/protobuf/pb_pb.d.ts:5931

### setTimeStamp

- setTimeStamp(value: number): SignedOffer

- #### Parameters

  - ##### value: number

  #### Returns SignedOffer

  - Defined in src/protobuf/pb_pb.d.ts:5905

### setTradeAmount

- setTradeAmount(value: number): SignedOffer

- #### Parameters

  - ##### value: number

  #### Returns SignedOffer

  - Defined in src/protobuf/pb_pb.d.ts:5914

### setTraderId

- setTraderId(value: number): SignedOffer

- #### Parameters

  - ##### value: number

  #### Returns SignedOffer

  - Defined in src/protobuf/pb_pb.d.ts:5908

### toObject

- toObject(includeInstance?: boolean): SignedOffer.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns SignedOffer.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5939

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): SignedOffer

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SignedOffer

  - Defined in src/protobuf/pb_pb.d.ts:5942

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SignedOffer, reader: BinaryReader): SignedOffer

- #### Parameters

  - ##### message: SignedOffer

  - ##### reader: BinaryReader

  #### Returns SignedOffer

  - Defined in src/protobuf/pb_pb.d.ts:5943

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: SignedOffer, writer: BinaryWriter): void

- #### Parameters

  - ##### message: SignedOffer

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:5941

### `Static` toObject

- toObject(includeInstance: boolean, msg: SignedOffer): SignedOffer.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SignedOffer

  #### Returns SignedOffer.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5940

Generated using TypeDoc